Picture Ripper Introduction

Introduction

PictureRipper 3 is a tool which will help you to download pictures, movies, mp3s and any other media types from your favorite web sites. You may improve performance and results with powerful and yet easy file and keyword filters.

PictureRipper can save you many long hours of clicking on links, closing annoying pop-up windows, saving found images one-by-one, downloading countless banners and other junk.

The main window has several sub windows (panes). These panes can be resized or completely hidden.

  1. Project Tree
  2. Folder tree
  3. Thumbnail pane
  4. Image pane
  5. Thread list

PictureRipper has few tool bars to and a status bar

  • Project Toolbar
    • New Project
    • Start project
    • Pause project
    • Load or save paused project
    • Stop project
    • Edit project options
    • Delete project
  • Image Toolbar
    • Thumbnail pane mode
    • Previous image
    • Reload image
    • Next image
    • Rotate clockwise
    • Rotate counter-clockwise
    • Resize image to best fit image pane
    • Resize image 100%, 50% or 25% or original size
    • Stretch image to fill entire image pane area
    • Maximize Image Pane
      Allows to hide project tree, folder tree and thread list pane, leaving only thumbnails and currently selected image visible
    • Set current image as a desktop wallpaper
  • Status Bar
    The status bar is used to display information about PictureRipper activity. In running state, PictureRipper provides the following extra information:
    Media: X Links: Y
    Ok: Z
    X - represents number of links in the media queue (food for the fetcher threads).
    Y - represents number of links in the queue that contains links to HTML pages - food for the crawlers.
    Z - represents number of successfully downloaded media files.
Last updated: $Date: 2003/08/23 16:54:16 $


Creating a New Project

All you need to get started is to provide the PictureRipper with the following information:

  • The address (URL) of a website
  • Type of the website
  • Location where to save media files

Once you have an address (URL) of the site you can create a new project.

A Step-by-step Guide:

1. Select existing (or create new) category in the Project Tree.

2. Press "New Project" (Ctrl+N) button on the Project toolbar or via the program menu: Menu > Project > New

3.REQUIRED Enter at least one starting address into the Address field. If you want to add more than one address you may use starting address manager. Press button with ellipses to invoke the URL manager.

4.REQUIRED Select site type from the list.

5.REQUIRED Edit title for the project. Make sure you give it a self explanatory title, because it will be stored in the Project Tree under this label.

6.REQUIRED Enter location where you want PictureRipper to save downloaded media files.

Now your project contains enough information and you may start downloading. If you want to specify additional project options, then please click on this link.

Last updated: $Date: 2003/06/24 19:39:59 $


Adjusting Project Settings

Every item in the Project options dialog has an information tool tip. To see quick info about any option, point mouse cursor over desired control and wait a moment. The tool tip will appear and provide information for the selected control.

Edit Project Options dialog overview

Project options can be accessed using keyboard by pressing Alt+LETTER.
Where LETTER is an underscored letter on the desired option label.

  • REQUIRED Address
    This control allows to enter one or more starting addresses
  • REQUIRED Select type of site you want to start from
    Use this control to define Site Type - This is very important control!
  • REQUIRED Project Title
    Here you need to type in the title for the project
  • REQUIRED Save Files To
    Location of root folder for the media files downloaded within this project. PictureRipper will use it to save downloaded media files and create required sub folders, as specified by "Gallery Folder Names" option.
  • REQUIRED Max Link Depth
    This is maximum link level PictureRipper can descend from the starting address. To easily determine this number just count how many manual clicks does it take to get to the actual picture. Then add 2-3 extra "clicks" to be sure and enter the result into the field. Each site type has its own default value of link depth so you may leave it as is.
  • Password...
    Opens up the dialog window so you can provide password and user name to access password protected sites.
  • Download
    These check boxes allow to select what kind of media files you want to download.
    • Images
    • Videos
    • Custom
      Enables downloading of custom file types. You have to define file extensions for custom file types using the Program Options dialog (F12). For your convenience there is button labeled "Edit..."
    • Edit...
      This is a shortcut to the "Media types" page in the Program Options dialog. Click this button to adjust what media file extensions you want. File extensions for images and videos are hard coded, but user can provide own "custom" file type. One should enter file extensions separated by space, comma or semicolon. For example: ".exe .zip .pdf", or "exe, zip, pdf" or even ".exe;zip, pdf". There are no strict rules, because PictureRipper will try to correct the input if it contains errors
  • Keep History
    If enabled, PictureRipper will keep history of downloaded files. This is useful if you want to avoid downloading of the media files that were already downloaded in previous session(s). For example site has 10 images named 01.jpg trough 10.jpg and next day they add 10 more images. This is obvious that you want to download the new images only. PictureRipper will look into the history file and if target file already exists then it will be skipped. Projects that have history files are marked with "H" in the square. It is advised that user should delete the history file from time to time, because each session adds new entries and, therefore, the history file grows. To delete the history file, right-click on the desired project and select menu item "Project Files", then "Delete History". Also, you may delete project files using Windows Explorer. All history files have "*.PRH" extension.
  • Gallery folder names
    Select desired way to create sub folders inside your download folder on your hard drive. There are six options available.
    • Good for TGP sites Use gallery counter
      PictureRipper will put all images linked from HTML pages into separate folder and name that folder by using pattern "Gallery_NNN", where NNN is a gallery counter value.
    • Use unique gallery name
      PictureRipper will use unique string as a name to create folders for downloaded media files. The unique string is a MD5 hash of the gallery URL. This is useful if you run the same project several times a day. Since gallery folder name is created using URL of the gallery page, you can be sure no images from one gallery get mixed with images from another one. This feature has a drawback - the gallery names look really weird, e.g. "6b7807872a88cc2e79ba5bef9c45d45a", but unlike "Recreate folder structure" and "SMART:Recreate folder structure" you do not have your images and movies buried in several levels of sub folders and may access them faster using the Folder pane. The length of folder name is always 32 alpha-numerical characters.
    • Obtain gallery name from URL
      PictureRipper will use URL to create sub folders. Some special characters that cannot be used in file names, will be removed. This option is similar to the "Use unique gallery name" one, but it will have more human readable names, while length of folder name may be really long.
    • For Small Sites ONLY Put all images in one folder
      PictureRipper will not be creating any sub folders and all downloaded images will be placed in a heap. To prevent images with the same names to be overwritten by each other, every image name will be assigned an unique integer value in square brackets, e.g. cute[12124].jpg. This is important to understand that Windows have a limit on number of files that can be stored in one folder, so please use this option for small picture sites.
    • Good for TGP sites Recreate folder structure from URL
      This option will recreate folder structure using target URL. For example if image Picture.JPG is linked from URL http://somesite.com/somegallery/gallery.html then PictureRipper will create the following folder tree:
      • \somesite.com
        • \somegallery
          • \gallery.html
      Therefore, the image Picture.JPG will be saved in folder named "\gallery.html". Please note that "\gallery.html" is not a file, but a folder with an "extension". This option works well until PictureRipper encounters site that has images embedded into HTML pages - one image per one HTML page. This often is a case with picture sites, rather than TGP galleries. TGP galleries link directly to images, so when you click on a link your browser opens image directly, not a page with image accompanied by navigation buttons, banners, counters, etc. In the latter case, PictureRipper will have to create separate folder for each image and this is not convenient. Although this option will still work fine with most of TGP sites.
    • Good For ANY Site Type SMART: Recreate structure from URL
      This option is similar to the previous one, but it works a bit smarter. It will try to detect images embedded into HTML pages and you will have one folder with say 20 images, instead of one folder and 20 sub folders with one image per sub folder.
    • Good for TGP sites Use Current Date This is very useful, if you want to keep your daily downloads separated by the date. Those who download images and movies from TGP on almost a daily basis will love this feature. With this option enabled, PictureRipper will create a folder with date and use the selected folder creation method. For example, if you use "Use gallery counter" then PictureRipper will create folder structure like the one below:
      • \6-24-2003
        • \Gallery_100
        • \Gallery_101
        • ...
        • \Gallery_NNN
      • \6-23-2003
        • \Gallery_100
        • \Gallery_101
        • ...
        • \Gallery_NNN
  • Ignore File If ...
    Use these controls to enable or disable File Filter Features of PictureRipper. More info...
  • Enable Shortcuts
    If enabled, PictureRipper will place Interenet Explorer shortcut to the target folder. The Shortcut will point to the gallery page the images were downloaded from. If folder has the shortcut, the thumbnail pane context menu will have item labeled "Visit Website".
  • Don't overwrite
    If enabled, PictureRipper will not overwrite file in the target folder if the file prepared for downloading has the same name.
  • Ignore Or Search For Keywords...
    Use these controls to enable or disable Keyword Filter Feature of PictureRipper. More info...
Last updated: $Date: 2003/08/23 16:50:59 $


Setting file filtering options

Why using file filtering?

While analyzing pages PictureRipper can build huge queue of images and movies. However, almost a half of found media files are just thumbnails, i.e. smaller versions of corresponding images. Most likely, you will not want these small images to fill your computer's hard drive. PictureRipper is here to help - just tell it to ignore media file if it is smaller than a certain number of kilobytes.

Another use of filtering features is limiting maximum size of a media file. Sometimes website operators use so called "spider traps" by placing links to huge files. The idea behind this is to slow down the crawling software so user has to stop the process.

Do not worry much - PictureRipper can handle this! Just type in desired maximum allowed file size and PictureRipper will not even think of downloading such files.

Another filtering option is Image Side Size filter. It is useful if you, for example, want only images with Smaller Side bigger than a certain number then all you need to do is to tell PictureRipper that number and PictureRipper will delete every image, which does not satisfy filtering criteria.

If you enable minimum and/or maximum file size filter, PictureRipper will not download media file to determine its size. This does not apply to Image Side Size. If one is set then PictureRipper has to download file in order to find image's dimensions. Therefore, if you have slow Internet connection or less powerful computer then you should use Media File Size filters only.

Storing integer values for future use

Just for your convenience, PictureRipper can save numbers you type in and these numbers become available via drop down menu for later use. To save number for future use, press Enter and PictureRipper will add this number to the drop down menu.

<Back
Last updated: $Date: 2003/06/24 19:39:59 $


Keyword Filter

The Basics Of Keyword Filter

OR Condition

Spaces between keywords serve as OR Condition

Example: word1 word2 word3 is considered as "Allow only if URL has word1 OR word2 OR word3

You may explicitly define OR Condition by using a pipe symbol "|". Therefore, the following keyword rules are exactly alike: word1 word2 word3 is equal to word1|word2|word3 and word1 | word2 | word3. The "|" symbol should be used to construct complex logical expressions that involve different logical conditions such as AND and NOT.

NOT Condition

Any keyword in a rule can be negated. To negate a keyword prefix it with the exclamation mark "!".

Example: !word1 !word2 !word3 is considered as "Allow any URL that does NOT have word1 OR word2 OR word3".

AND Condition

You may construct AND expression by using an ampersand symbol - "&"

Example: word1 & word2 is considered as "Allow any URL that has both word1 AND word2".

Advanced Keyword Rules

You may construct very complex keyword rules by using a combination of AND, OR and NOT Conditions.

Example: word1 & !word2 is considered as "Allow any URL that has word1 and does NOT have word2".

Using Parentheses

Keywords can be combined by parentheses - "(" and ")". You may want combine all keywords that you want to appear in the URL and keywords that you do NOT want to appear in the URL.

For example, you want to search for boats, cars and planes AND they must be either NOT green OR NOT yellow. So you may construct the following keyword rule: (boat|car|plane) & !(green|yellow). This rule will be interpreted by PictureRipper as "Allow any URL that has boat OR car OR plane AND does NOT have green OR yellow".

Using Double Quotes

PictureRipper has ability to extract text of links. This allow you to provide not just single word keywords. If your keywords contain spaces, then you need to use double quotes (").

Example: (movie|video) & "June 17" is considered as "Allow any URL that has phrase June 17 AND word movie OR video".

Conclusion

Using filters allows to reduce number of worthless links that hit the queue and therefore allows task to be done quicker. If you like some particular site you may dedicate some of your time to build an optimized "keyword rule" once and forget about it - all you will need is to run you task every day to get new set of images and videos.

Last updated: $Date: 2003/06/24 19:39:59 $


Site types

Why Site Types?

A Site Type describes web sites with similar structure and/or purpose. This feature allows PictureRipper to apply different crawling strategy depending on selected Site Type.

What types of sites are supported?

At this moment, PictureRipper supports 4 types of sites:

  • Thumbnail Gallery Post (TGP) Site
  • Dynamic Thumbnail Gallery Post (TGP) Site
  • Dynamic Picture Site
  • Picture Site
  • Picture Site [Brute Force]
  • Directory Site
  • NEW Follow The INNER Links Only
  • NEW Follow OUTSIDE Links Only
  • NEW Follow Any Link

Thumbnail Gallery Post (TGP) Site

TGP sites are sites that provide links to image galleries. These days you can encounter many TGP sites, especially providing links to ADULTS ONLY content. You may expect to download from 200 to few thousand images and movies from a single TGP site (all free).

Dynamic Thumbnail Gallery Post Site - TGP(CJ) Site

Dynamic TGP sites are similar to plain TGP sites but they use server side software to direct traffic to galleries.
How can I know that a particular TGP site is TGP(CJ) one? Click here to read about TGP(CJ) sites.

Dynamic Picture Site

Dynamic Picture Site is a site which uses some sort of server software to display media files. The server software (a script) generates pages dynamically according to parameters encoded in the URL. You can easily say that it is dynamic site by examining links on its pages. If you see weird characters, punctuation marks, or if you can see "cgi", "php", "asp" or "pl" followed by a question mark then most likely you are at a site that belongs to Dynamic Picture Site type.
Click here for more info on dynamic picture sites.

Regular Picture Site

Almost every site small site can be described as a Regular Picture Site. It usually has very basic structure and it does not use any server software to deliver its content.

Picture Site [Brute Force]

Works as Regular Picture Site, but will reject less links, therefore will download and analyze more pages. This kind of site type will probably decrease quality and increase time which will be required to find pictures, so use this site type if you're not satisfied with results you got using other "Picture Site" types.

Directory Site

There are several directories on the web, like Yahoo!, Dmoz.org, etc. You may find lots of links to image galleries. To take advantage of this site type you should descend into a deepest category and use that URL as a starting address.

The site types described below are not optimized so use them as the last resort. Usage of the keyword filter feature may help to improve the quality of the link that hit the queue.

NEW Follow The INNER Links Only

This site type is aimed to thoroughly crawl the target site. All links to outside servers will be ignored. If you have picture site with images then this is the site type that will work okay.

NEW Follow OUTSIDE Links Only

This is a bit trickier site type and most likely you will not use it in your life time. This site type will only accept links that point to other servers. For example, PictureRipper starts from site A. Site A has 3 links. The two links point to pages inside the site A. The 3rd link points to another server - a site B. PictureRipper will ignore the two inner links and follow the 3rd link. If page on the site B has any links to images (regardless of their location), PictureRipper will pick them up and accept only those page links that point to other servers.

NEW Follow Any Link

This is the most junk-friendly site type. PictureRipper will accept and follow any link. It is advised to use keyword filter to skip some well know sites and ad-funded portals that you have no desire to crawl trough, e.g. yahoo, dmoz, cnn, about etc.

See Also...

  • Creating Project
<Back
Last updated: $Date: 2003/08/23 16:51:00 $


Dynamic Sites

What Is A Dynamic Site?

A dynamic site is a site which uses some sort of script or server-side software to display images or movies. Web site operators use such scripts to make it easier for the to manage their web sites. They can just upload images and the script will generate all needed gallery elements, such as navigation links and buttons, thumbnails, advertisements, etc.

How can I know that a particular site is Dynamic one?

It's easy. All you need to do is to look at the links across the site in question. Let's see an example:

Regular site: http://somesite.com/gallery/page01.html

Dynamic site:
http://somesite.com/gallery.php?what=page01.html
- or -
http://somesite.com/cgi-bin/gallery.cgi?what=page01.html
- or -
http://somesite.com/gallery.asp?what=page01.html&param2=value2&some_param=value3

As you can see in above example, dynamic sites use very complex links. In fact, those links contain parameters for the script. The script use these parameters to generate HTML pages on the fly.

So, if you see any of these chars, words, page extensions you may be sure you have Dynamic Site:

  • PHP, CGI, PL, ASP, SHTML, PHTML, PHP3, PHP4 followed by a question mark, i.e. gallery.php?what=page0
  • CGI-BIN, i.e. http://somesite.com/cgi-bin/gallery.cgi
  • Plenty of chars like &, =, -, |, ;, commas, etc, i.e. gallery.asp?what=page01.html&param2=value2&some_param=value3
<Back


TGP(CJ) sites

What Is TGP(CJ) Site?

TGP stands for thumbnail gallery post and CJ stands for circle-jerk. TGP(CJ) sites are like just regular TGP sites and they have many links to picture and movie galleries, but they use very sophisticated software to trade traffic with other TGP sites. The script analyzes what links get most of the clicks and if surfer (i.e. you) does not click on their advertisement links he/she gets redirected somewhere else...
How does it affect you, the surfer? Simply said, you cannot look at all the galleries they have, because after few clicks on gallery links you will end up on another TGP.

How can I know that a particular TGP site is TGP(CJ) one?

If you clicked on several gallery links and then every click on a gallery link leads to anything else, except the gallery you expected, then you have encountered TGP(CJ) site.

Yet another way to determine if you've got TGP(CJ) site is to analyse gallery links. Plain TGP sites (not CJ) use simple link syntax like the one you may see below:

Regular TGP site has links that look like this one: http://some-galery-site.com/gallery01/gallery1.htm

As mentioned earlier, TGP(CJ) sites use server-side software (or scripts) and they have to use very complex links Please have a look at this topic: Dynamic Picture Sites So the links on TGP(CJ) site look like this one:

http://tgp-site.com/gallery.php?url=http://some-gallery-site.com/gallery01/gallery1.htm&extra_param=anything

As you can see gallery is being passed as a parameter to the script (shown in bold), and script decides whether to allow you the access to that gallery or to redirect you to advertisements or traffic trades.

How can PictureRipper help?
As you might know by now, PictureRipper supports both TGP and TGP(CJ) types of sites. To make it easier for you, set site type to TGP Site first and try and start project. If PictureRipper does not find significant number of high resolution images or/and movies, then try to set site type to TGP(CJ) Site. PictureRipper will then use different approach to HTML code analyze and this should help in most cases.
<Back


Project Tree

What is a Project Tree?

Every category and/or project you create is shown in this pane of PictureRipper window. You may do a right-click on any Project Tree item to invoke context menu and see all available commands.

A Project Tree

See Also...

  • Managing Categories
<Back
Last updated: $Date: 2003/06/24 19:40:00 $


Managing Categories

You can create as many categories as you like. You may also delete unused empty category or rename one at any time. PictureRipper stores projects and categories in its project folder. By default it is located in "My Documents\PictureRipper\Projects\". Each folder represents a category. Therefore you may have very complex category structure and it can be managed not only within PictureRipper, but using Windows Explorer as well.

Creating a New Category

button Create New Category Click button Create New Category and type in a name for the new category.

Renaming a Category

button Rename Category Select a category, then click button Rename Category or press the F2 key and edit category's name to better suit your needs.

You may not rename a Default Category.

Deleting a Category

button Delete Category Select a category, click button Delete Category and it will be deleted from the Project Tree.

You may not delete a category if it contains at least one project or if it is a Default Category.

<Back
Last updated: $Date: 2003/08/23 16:51:00 $


Folder Tree

What is a Folder Tree?

You can use the Folder tree to select desired folder in order to view images. Once you selected the folder PictureRipper will start generating thumbnails for images that reside in the selected folder. You may interrup thumbnail generation process by pressing the ESC key.

Using the context menu

Just as any window pane in PictureRipper, the Folder tree has its own context menu. The available menu includes standard Windows shell menu and two additional menu items:

  • Refresh folders
    Allows to referesh currently selected folder.
  • Slide Show (F5)
    Invokes slide show dialog for selected folder.

See Also...

  • Thumbnail pane
  • Slide Show
<Back
Last updated: $Date: 2003/08/23 16:51:00 $


Thumbnail pane

Overview

Thumbnail pane is used to display thumbnailed images. To view images in a particular folder, please select the folder in the Folder tree and PictureRipper will generate thumbnails for every supported media file.

PictureRipper makes thumbnails for almost every image type. Moreover, PictureRipper can make thumbnails for most of video files, such as MPEG and AVI. By default, PictureRipper does not generate thumbnails for movie files. To visually distinguish movie files among thumbnails, PictureRipper draws a light green border around movie thumbnails. To enable thumbnails for movies, please select the corresponding option in the Program Options Tools | Options | Miscellaneous | Create Thumbnails For Movies

For files that can not have thumbnails, like MP3 or ZIP files, PictureRipper will use a "Custom Type" icon.

If PictureRipper was not able to generate a thumbnail for a file, then "Default Thumbnail" icon will be used. The default thumbnail icon represents a frame with a question mark.

Two Visual Modes: Thumbnails & Report Mode

PictureRipper can present information about contents of the selected folder using two modes - the Thumbnails and the Report mode. To switch the mode press the F8 key or the button on the image toolbar.

  • Thumbnails
    This is the default mode. The only visible information is a file name.
  • Report Mode
    The Report mode allows you to see more details about files in a folder. The files in the currently selected folder can be sorted as well. To sort the thumbnails press corresponding header. The Report mode has several sortable headers:
    • File Name
    • File Size
    • File Type
    • Image Width
    • Image Height
    • File Date
    • File Time

Context Menu

The Thumbnail pane has its own context menu. The list of available actions inludes:

  • Refresh
  • Maximize/Minimize the pane
  • Sort Thumbnails
  • Delete selected file(s)
  • For MOVIES Only Play Clip
  • For MOVIES Only Play Selected Clips
  • For MOVIES Only Play All Clips In Folder
  • Visit Website

PictureRipper requires WWW> Windows Media Player to be installed on your system.

Tips On Using The Thumbnail Pane

Double click on the Thumbnail pane to maximize it size.

You may select several files by holding the Ctrl key and clicking with the mouse at the same time.

You may delete selected image(s) to the Recycle Bin by pressing the DELETE key.

To permanently delete and suppress any warnings press the DELETE key while holding down the SHIFT and the CTRL key simultaneously.

You may change the size of thumbnails that PictureRipper generates. To change the size of thumbnails please provide the desired value in the Program Options Tools | Options | Miscellaneous | Thumbnail Size

See Also...

  • Project Tree
  • Folder Tree
  • Thread List
<Back
Last updated: $Date: 2003/08/23 16:51:00 $


Thread list

What is Thread list?

Thread list allows to monitor activity of threads. PictureRipper has two types of threads:

  • Crawler Thread
    Crawler threads (prefixed with "C:") are used to load HTML pages and analyze them in order to find links to media files and other HTML pages. The crawler threads do not download any media files.
  • Fetcher Thread
    Fetcher threads are prefixed with "F:". The fetcher threads work with media queue, i.e. they pull links from the media queue and download files.

The number of threads can be adjusted to better suit your connection type. The slower your connection is the smaller should be the number of threads PictureRipper can launch at a time. having too many running threads on a slow modem may result in very slow operation and plenty of time out errors and incomplete (partially) downloaded files.

To adjust number of threads open Program Options window and select the Network Setting section. Use combo boxes to select desired number of thread of each type. Make sure you do not exceed the total number (crawlers plus fetchers) recommended for your connection type.

Context Menu

The thread list's context menu has several items:

  • Show/Hide
    Allows to quickly hide the list. To restore the list, use keyboard shortcut Ctrl+Shift+T or pull the sizer bar.
  • Pause Crawler Threads
    Allows to temporarily pause the Crawler Threads. This might be useful if you want to give fetcher threads more bandwidth, or example if you already got the huge media queue and do not want any more links to be discovered and added to the queues. Use the same menu item to resume the Crawler Threads.
  • Pause Fetcher Threads
    Same as the above menu item, but related to the Fetcher Threads. You may want to give crawlers more freedom and do not want to saturate your connection bandwidth by activity of the Fetcher Threads. Use the same menu item to resume the Fetcher Threads.
  • Reset
    Allows to completely redraw the thread list and reset the widths of columns.

See Also...

  • Project Tree
  • Folder Tree
  • Thumbnail Pane
<Back
Last updated: $Date: 2003/08/23 16:51:00 $


Slide Show

Overview

PictureRipper can play a slide show on a selected folder. PictureRipper will read the contents of the selected folder and all folders recursively. For example if you have a folder and several dozens of galleries that you ripped from some TGP site, PictureRipper will show you every image from every gallery completely hands free!

Launching The Slide Show

Select the desired folder using the folder tree and press the F5 key.

You may also use folder tree context menu or the main menu Tools | Slide Show...

Slide Show Options

PictureRipper will allow you to set some options or accept the default settings. The following options are available:

  • Delay between images in seconds
  • Repeat mode
    this allows you to run the slide show in a loop.
  • Display image info
    if enabled, PictureRipper will show image's full path, dimensions (width X height in pixels) and color depth in bits. The color of the text can be selected sing the color picker. To open color picker window press the button labeled "Define Text Color"

Controlling The Slide Show

During the slide show you can:

  • Pause/Resume
    press the ENTER key to pause or resume the slide show.
  • Advance to the next image
    to bypass the slide show delay, press the SPACE bar or the RIGHT ARROW key to advance to the next image
  • Back to the previous image
    to return to the previous image, press the BACKSPACE key or the LEFT ARROW key to recede to the previous image.
  • Adjust Options Of The Running Slide Show
    to edit slide show options without restarting it all over again, press the PLUS or the MINUS key on the numeric keypad. Any further pressing the PLUS/MINUS key will increase/decrease the delay value. Press the ENTER key to close the options dialog and return to the slide show.

See Also...

  • Folder Tree
<Back
Last updated: $Date: 2003/08/23 16:51:00 $


PictureRipper License

License Agreement

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. USE OF THE PICTURERIPPER SOFTWARE PROVIDED WITH THIS AGREEMENT (THE "SOFTWARE") CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE BY USER WITH THE TERMS OF THIS AGREEMENT.

1. LICENSE GRANT. GloabalGet grants you a license to use the trial version of the PictureRipper software program (the "SOFTWARE") on any computer as long as the terms of this license agreement are respected. "You" means the company, entity, or individual installing or using the SOFTWARE. "Use" means storing, loading, installing, executing, or displaying the SOFTWARE. You may not modify the SOFTWARE or disable any licensing or control features of the SOFTWARE except as an intended part of the SOFTWARE's programming features.

When you first install a trial copy of the SOFTWARE, you are granted an evaluation period of not more than 30 days, after which time you must pay for the SOFTWARE according to the terms and prices discussed in the SOFTWARE's documentation, or you must remove the SOFTWARE from your computer. This license is not transferable to any other hardware product or other company, entity, or individual.

2. OWNERSHIP. The SOFTWARE is owned and copyrighted by GlobalGet, Inc. Your license confers no title or ownership in the SOFTWARE and should not be construed as a sale of any right in the SOFTWARE.

3. COPYRIGHT. The SOFTWARE is protected by United States copyright law and international treaty provisions. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of GlobalGet and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.

4. UNAUTHORIZED USE. You may not use, copy, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the SOFTWARE except as provided in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license.

5. BUNDLING. In no case may the SOFTWARE be bundled with hardware or other non-shareware software without written permission from GlobalGet, Inc.

6. DISTRIBUTION. Provided that you verify that you are distributing the trial version of the SOFTWARE you are hereby licensed to make as many copies of the trial package of the SOFTWARE as you wish; give exact copies of the original trial package of the SOFTWARE to anyone; and distribute the trial package of the SOFTWARE in its unmodified form via electronic means (Internet, BBS's, Shareware distribution libraries, CD-ROMs, etc.). You may charge a distribution fee for the package, but you must not represent in any way that you are selling the software itself.

Distribution of the commercial version (i.e. non trial ) is forbidden.

All distribution of SOFTWARE is further restricted with regard to sources which also distribute virus source code and related virus construction/creation materials. The SOFTWARE may not be made available on any site, CD-ROM, or with any package which makes available or contains viruses, virus source code, virus construction programs, or virus creation material.

Permission to distribute the SOFTWARE is not transferable, assignable, saleable, or franchisable. Each entity wishing to distribute the package must independently satisfy the terms of the distribution license.

7. U.S. GOVERNMENT INFORMATION. Use, duplication, or disclosure by the U.S. Government of the computer software and documentation in this package shall be subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.277 -7013 (Oct 1988) and FAR 52.227-19 (June 1987). The Contractor is GlobalGet, Inc.

8. LIMITED WARRANTY. THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS. GLOBALGET DISCLAIMS ALL WARRANTIES RELATING TO THIS SOFTWARE, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. NEITHER GLOBALGET NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION, OR DELIVERY OF THIS SOFTWARE SHALL BE LIABLE FOR ANY INDIRECT, CONSEQUENTIAL, OR INCIDENTAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE SUCH SOFTWARE, EVEN IF GLOBALGET HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES OR CLAIMS. THE PERSON USING THE SOFTWARE BEARS ALL RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE.

SOME JURISDICTIONS DO NOT ALLOW LIMITATION OR EXCLUSION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSION MAY NOT APPLY TO YOU TO THE EXTENT THAT LIABILITY IS BY LAW INCAPABLE OF EXCLUSION OR RESTRICTION.

IN NO EVENT SHALL ANY THEORY OF LIABILITY EXCEED THE LICENSE FEE PAID TO GLOBALGET INC.

9. SEVERABILITY. In the event of invalidity of any provision of this license, the parties agree that such invalidity shall not affect the validity of the remaining portions of this license.

10. NO LIABILITY FOR CONSEQUENTIAL DAMAGES. IN NO EVENT SHALL GLOBALGET OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL, OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE, OR USE OF THE SOFTWARE, EVEN IF GLOBALGET INC HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL GLOBALGET'S LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT, OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, IF ANY.

11. GOVERNING LAW. This agreement shall be governed by the laws of European Union, excluding the application of its conflicts of law rules, and shall inure to the benefit of GlobalGet Inc and any successors, administrators, heirs, and assigns. Any action or proceeding brought by either party against the other arising out of or related to this agreement shall be brought only in a COURT of competent jurisdiction located in European Union. The parties hereby consent to in personam jurisdiction of said courts. The United Nations Convention on Contracts for the International Sale of Goods is specifically disclaimed.

12. INSPECTION AND TESTING. You agree and acknowledge that you will thoroughly inspect and test the SOFTWARE for all of your purposes upon commencement of your use. Any suit or other legal action, claim, or any arbitration relating in any way to this agreement or software covered by it must be officially filed or officially commenced no later than 30 days after your first use of the software.

13. ENTIRE AGREEMENT. This is the entire agreement between you and GlobalGet Inc, which supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this license.

14. RESERVED RIGHTS. All rights not expressly granted here are reserved to GlobalGet, Inc.

GlobalGet Inc.
P.O. Box 2153
Abbotsford, BC,
CANADA,
V2T 3X8


Category

What is a Category?

PictureRipper uses categories to organize projects, so the purpose of a project can be easily distinguished by its category.

Project Tree view

Example:
Create category Cars and have all projects related to cool vehicles in this category.

See Also...

  • Managing Categories
<Back
Last updated: $Date: 2003/08/23 16:51:00 $


Context Menu

How to invoke the Context Menu?

Almost every window pane has its own context menu. To invoke a context menu for desired window pane, point mouse over it and press right mouse button. The context menu will pop up behind the mouse cursor. Now you may select desired menu item.

<Back
Last updated: $Date: 2003/08/23 16:51:00 $


Multiple Starting Addresses

PictureRipper project can contain more than one starting address. If you want to define additional starting addresses, you may use The URL manager.

To invoke the URL Manager press the button with ellipses that is embedded into the Address field on the Project Options dialog.

The URL manager has a simply edit window.

  • You may type in several addresses just like in a Windows™ Notepad application
    Please note: only one address per line.
  • You may copy and paste existing addresses in to the editor.

Please note, project can not have zero starting addresses!

Last updated: $Date: 2003/08/23 16:54:16 $


Project

What is a project?

PictureRipper uses projects to describe the target sites and the way how they will be analyzed and ripped.

See Also...

  • How to create a project
<Back
Last updated: $Date: 2003/08/23 16:51:00 $